include ../Makefile.rules

OBJ = draw.o \
      draw_favorites.o \
      draw_gps.o \
      draw_gui.o \
      draw_route.o

SRC = $(OBJ:%.o=%.c)

all: libdraw.a

libdraw.a: $(OBJ)
	$(AR) rcs libdraw.a $(OBJ)

dep: $(SRC)
	$(CC) -MM $(SRC) $(CFLAGS) > $(DEPENDFILE)

clean:
	rm -rf *.o
	rm -rf *.a
	rm -rf *~
	rm -rf $(DEPENDFILE)

-include $(DEPENDFILE)

